<?php

	function calAutowidth ($automodule, $_tpl, $totalwidth=100, $firstwidth=0, $lastwidth=0) {

		/********************************************
		$automodule = array ('position1', 'position2',...)
		*********************************************/
		$modules = array();
		$modules_s = array();
		foreach ($automodule as $position) {
			if( $_tpl->countModules ($position) ){
				$modules_s[] = $position;
			}
			$modules[$position] = array('class'=>'_full', 'width'=>$totalwidth);
		}

		if (!count($modules_s)) return null;

		if ($firstwidth && $lastwidth) {
			if (count($modules_s)>1) {
				$width = round(($totalwidth-$firstwidth-$lastwidth)/(count($modules_s)-2),1) . "%";
				$firstwidth = $firstwidth . "%";
				$lastwidth = $lastwidth . "%";
			}else{
				$firstwidth = $totalwidth . "%";
			}
		} elseif ($firstwidth) {
			if (count($modules_s)>1) {
				$width = round(($totalwidth-$firstwidth)/(count($modules_s)-1),1) . "%";
				$firstwidth = $firstwidth . "%";
				$lastwidth = $width;
			}else{
				$firstwidth = $totalwidth . "%";
			}
		}elseif ($lastwidth) {
			if (count($modules_s)>1) {
				$width = round(($totalwidth-$lastwidth)/(count($modules_s)-1),1) . "%";
				$firstwidth = $width;
				$lastwidth = $lastwidth . "%";
			}else{
				$lastwidth = $totalwidth . "%";
			}
		}else{
			$width = round($totalwidth/(count($modules_s)),1) . "%";
			$firstwidth = $width;
			$lastwidth = $width;
		}

		if (count ($modules_s) > 1){
			$modules[$modules_s[0]]['class'] = "_left";
			$modules[$modules_s[0]]['width'] = $firstwidth;
			$modules[$modules_s[count ($modules_s) - 1]]['class'] = "_right";
			$modules[$modules_s[count ($modules_s) - 1]]['width'] = $lastwidth;
			for ($i=1; $i<count ($modules_s) - 1; $i++){
				$modules[$modules_s[$i]]['class'] = "_center";
				$modules[$modules_s[$i]]['width'] = $width;
			}
		}
		return $modules;
	}
	

?>